<template>
    <b-btn variant="primary" class="btn-circle" @click="setLockState">
      <slot></slot>
    </b-btn>
</template>
<script>
export default {
  name: 'speciaButton',
  data() {
    return {
      // isLock: true
    }
  },
  props: {
    isLock: {
      default: true,
      type: Boolean
    }
  },
  computed: {
    orgId() {
      return this.$store.getters.basicUserInfo.orgId
    }
  },
  methods: {
    setLockState() {
      // this.isLock = !this.isLock
      this.$emit('change', this.isLock)
    }
  }
}
</script>
<style lang="scss">
.btn-circle {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  text-align: center;
  padding: 0;
}
</style>
